Subject: Re: [Int-area] Side meeting follow-up: What exact features do we want from the Internet?

From: Jiayihao <[email-masked]>
Date: Wed, 15 Dec 2021 03:40:52 +0000

Hello Alex,

Really agree on your views on "The Internet does no harm".

Sorry to make it confused by the term "Kernel". Actually I borrow this term from Linux but do not want to correlate that to Linux. I use this term because this item looks like the root/heart of any design for Internet, or like a guidance document from IAB, i.e., RFC 8890 The Internet is for End Users. Thus I would use "Principle/Shared Valued" in the beginning of this item instead of "kernel".

While for "The Internet does no harm" itself, I'd like to explore more on the definition of "harm".
A simple example of "harmful" can be regarded as "attack", just like RFC7258. For want comes into my mind, "harmful" can means more, like a design that contribute to network ossification, or a design with large attack surface, or a design with potentially negative social effect, like what RFC 2804 said. 

So should there be an abstract definition of what can be harmful to Internet, or shall we have a draft to do so? Just like RFC 8890?

Thanks,
Yihao

Le 10/12/2021 ? 10:56, Jiayihao a ?crit :
> Hi Dino, all,
> 
> Based on a user point of view, I try to go through the thread and 
> summarize the features gathered. Please correct me if anything missing 
> or I get anything wrong. (Points like 6M mentioned by Fred are shaped 
> to better reflect the points from users.)
> 
> (1) Always-On: be connected to the Internet, Anywhere, by Any links 
> (either cabled or radio),  ALL THE TIME, and All automatically 
> (without any switch turning). (2) Transparency: be agnostic to the 
> network protocols (IP, Bluetooth, ZigBee, Thread, Airdrop, Airplay, or 
> any others), want an easy and straightforward to contact a 
> people/device without any knowledge of network issues like IP address, 
> and (3) Multi-homing: seamlessly multi-homing capability for the host. 
> (4) Mobility: seamless and lossless communications for moving nodes 
> (vehicle, satellites). (5) Security and Privacy:
> security and privacy, omnidirectionally, incessantly (6) Performance:
> satisfied (if not impeccable) reliability, availability, speed(shorter 
> paths/direct communications), enough bandwidth(10petabit/s for a 
> link), Efficient(less overlays/encapsulations), highly effective 
> (avoid address waste). (7)
> Kernel: make sure the Internet does no harm. (8) Others: no worry 
> about MTU

Thanks for listing the "Internet - no harm" point.

But I did not see why is it called 'kernel'?

I was thinking to make sure Internet does no harm in the linux kernel sense, yes, but among more other aspects.

"Internet - no harm" point in the linux kernel would mean probably something to reduce the size of the Internet (IP) stack in the kernel, reduce its energy consumption, reduce the 'software bloat' of it.  Is this the kernel you refer to?

"Internet - no harm" point on a broader scale would mean to try to make sure aspects such as datacenter energy consumption (there were no such big datacenters prior to Internet; it can safely be assumed that these datacenters are created and needed by the Internet), human factors related to over-use of the Internet like professional emails during weekends and burnout, societal impacts digital divide like all-Internet-for-young and nothing-for-the-elderly or like the divide between countries with differing revenues per capita, social system divides like Internet ability in certain countries to be 'cut', various legislation's crime facilitated by the Internet, and more - are fed back into the design of the new Internet and make sure it does no harm.

It is a little bit like in Health and medicine: first, make sure do no harm.  When a surgeon opens someone's body, the first thing s/he must make sure is to do no harm (do not break some artery or vein, and just have a look to see what's wrong in the ill), even though the cut in the skin is already a little bit of harm.

Alex

---

From: Alexandre Petrescu <[email-masked]>
Date: Thu, 16 Dec 2021 11:30:22 +0100

Le 15/12/2021 à 04:40, Jiayihao a écrit :
> Sorry to make it confused by the term "Kernel". Actually I borrow 
> this term from Linux but do not want to correlate that to Linux. I 
> use this term because this item looks like the root/heart of any 
> design for Internet, or like a guidance document from IAB, i.e., RFC
>  8890 The Internet is for End Users. Thus I would use 
> "Principle/Shared Valued" in the beginning of this item instead of 
> "kernel".

I think using principles is a good direction.

> While for "The Internet does no harm" itself, I'd like to explore 
> more on the definition of "harm". A simple example of "harmful" can 
> be regarded as "attack", just like RFC7258.

For my part, I think that the stance that RFC7258 takes - consider the
passive monitoring to be an attack on the Internet, in a same manner
that an attack is considered that an active attacker like perpetrating a
break into a system across the Internet - is a stretch.

I think fundamentally it is impossible to have an open Internet and at
the same time make monitoring impossible.  That is a problem.  The RFC
does not solve it.  It simply hides itself from that aspect.

There are other ways to try to alleviate the problem of bad things
happening on an open Internet.

> For want comes into my mind, "harmful" can means more, like a design 
> that contribute to network ossification,

There is harm indeed in allowing the network to ossify.  That harm
should be avoided somehow.

> or a design with large attack surface,

A large attack surface is related to the fact that all IP addresses are
reachable from all other IP addresses?

> or a design with potentially negative social effect,

There are a few things here.

In some societies the Internet is simply too expensive for its citizens
to benefit from it.  There, the harm is in the cost.  The cost of the
Internet should be reduced.

In some societies the Internet is a tool used to affect certain aspects
of the society.  There the harm is in the Internet tool to affect the
society.  In a sense, the society is _controlled_ altogether via the
Internet.  Some people look at Internet and think it is Internet,
whereas other people look at Internet and think it is another Internet.
  That is a harm that should be avoided.  That is a confusion that should
be avoided.

In some societies the Internet is too much used daily by too many
people, leading in some cases to harm.  The harm 'burnout' should be
avoided.

In some societies the Internet is embraced too much by the younger,
creating a divide from the older.  The harm is that the older are set
apart.

I think there are many other harms related to Internet and society as a
whole, such as energy consumption and harms related to only-one-Earth.

> like what RFC 2804 said.

RFC 2804 about 'wire tapping' - I did not know it.

There are things in it to which I could agree, but we could also compare
to deployment.

Whenever 'encryption' is suggested as a tool, one should admit also that
tool is possible in some places and legally impossible in some other
places.  Mention that some places encryption tools are cleartext when
looked at from other places.

Or to mention that the use of encryption does help the privacy of the
end user but does also protect the trouble makers.  In these cases, some
alleviation mechanisms include to make face a trouble maker to a privacy
lover and see what comes out of it.

> So should there be an abstract definition of what can be harmful to 
> Internet, or shall we have a draft to do so? Just like RFC 8890?

I think there could indeed be an abstract definition of what is harmful
to the Internet, but also about how the Internet could represent a
certain harm, or not.

I think we should escape from a mindset that says that Internet can only
be good - and is the only  way forward.   Wherever the Internet moves us
away from our humanity abilities then that is harmful.  Wherever
Internet expands our humanity abilities then that should be prolonged.

I did not know RFC8890 "The Internet is for End Users" and it seems
interesting.  I will read it!

Alex

> Thanks, Yihao
>> summarize the features gathered. Please correct me if anything 
>> missing or I get anything wrong. (Points like 6M mentioned by Fred
>>  are shaped to better reflect the points from users.)
>> 
>> (1) Always-On: be connected to the Internet, Anywhere, by Any
>> links (either cabled or radio),  ALL THE TIME, and All
>> automatically (without any switch turning). (2) Transparency: be
>> agnostic to the network protocols (IP, Bluetooth, ZigBee, Thread,
>> Airdrop, Airplay, or any others), want an easy and straightforward
>> to contact a people/device without any knowledge of network issues
>> like IP address, and (3) Multi-homing: seamlessly multi-homing
>> capability for the host. (4) Mobility: seamless and lossless
>> communications for moving nodes (vehicle, satellites). (5) Security
>> and Privacy: security and privacy, omnidirectionally, incessantly
>> (6) Performance: satisfied (if not impeccable) reliability, 
>> availability, speed(shorter paths/direct communications), enough 
>> bandwidth(10petabit/s for a link), Efficient(less 
>> overlays/encapsulations), highly effective (avoid address waste). 
>> (7) Kernel: make sure the Internet does no harm. (8) Others: no 
>> worry about MTU
> 
> I was thinking to make sure Internet does no harm in the linux kernel
> sense, yes, but among more other aspects.
> 
> "Internet - no harm" point in the linux kernel would mean probably 
> something to reduce the size of the Internet (IP) stack in the 
> kernel, reduce its energy consumption, reduce the 'software bloat' of
> it.  Is this the kernel you refer to?
> 
> "Internet - no harm" point on a broader scale would mean to try to 
> make sure aspects such as datacenter energy consumption (there were 
> no such big datacenters prior to Internet; it can safely be assumed 
> that these datacenters are created and needed by the Internet), human
> factors related to over-use of the Internet like professional emails
> during weekends and burnout, societal impacts digital divide like
> all-Internet-for-young and nothing-for-the-elderly or like the divide
> between countries with differing revenues per capita, social system
> divides like Internet ability in certain countries to be 'cut',
> various legislation's crime facilitated by the Internet, and more -
> are fed back into the design of the new Internet and make sure it
> does no harm.
> 
> It is a little bit like in Health and medicine: first, make sure do 
> no harm.  When a surgeon opens someone's body, the first thing s/he 
> must make sure is to do no harm (do not break some artery or vein, 
> and just have a look to see what's wrong in the ill), even though the
> cut in the skin is already a little bit of harm.
> 
> Alex
> 
>

---

From: Jiayihao <[email-masked]>
Date: Tue, 21 Dec 2021 10:09:23 +0000

Comments inline.

But in short, it is really worth thinking if the current Internet is harmful? Or how can we avoid it being harmful?
This century we have already witnessed the tragedy of Aaron Swartz. It is not just harmful, it awfully hurts.

Things reflected by Edward Snowden is just a HUGE alarm. 

Thanks,
Yihao

Le 15/12/2021 à 04:40, Jiayihao a écrit :
> Sorry to make it confused by the term "Kernel". Actually I borrow this 
> term from Linux but do not want to correlate that to Linux. I use this 
> term because this item looks like the root/heart of any design for 
> Internet, or like a guidance document from IAB, i.e., RFC

> While for "The Internet does no harm" itself, I'd like to explore more 
> on the definition of "harm". A simple example of "harmful" can be 
> regarded as "attack", just like RFC7258.

For my part, I think that the stance that RFC7258 takes - consider the passive monitoring to be an attack on the Internet, in a same manner that an attack is considered that an active attacker like perpetrating a break into a system across the Internet - is a stretch.

I think fundamentally it is impossible to have an open Internet and at the same time make monitoring impossible.  That is a problem.  The RFC does not solve it.  It simply hides itself from that aspect.

There are other ways to try to alleviate the problem of bad things happening on an open Internet.

> that contribute to network ossification,

There is harm indeed in allowing the network to ossify.  That harm should be avoided somehow.

> or a design with large attack surface,

A large attack surface is related to the fact that all IP addresses are reachable from all other IP addresses?

[YIHAO] For example, UPnP for IoT reachability do enlarge the IoT attack surface since IoT are usually without enough hardware/software defense as PS or smart phone.

In some societies the Internet is simply too expensive for its citizens to benefit from it.  There, the harm is in the cost.  The cost of the Internet should be reduced.

In some societies the Internet is a tool used to affect certain aspects of the society.  There the harm is in the Internet tool to affect the society.  In a sense, the society is _controlled_ altogether via the Internet.  Some people look at Internet and think it is Internet, whereas other people look at Internet and think it is another Internet.
  That is a harm that should be avoided.  That is a confusion that should be avoided.

In some societies the Internet is too much used daily by too many people, leading in some cases to harm.  The harm 'burnout' should be avoided.

In some societies the Internet is embraced too much by the younger, creating a divide from the older.  The harm is that the older are set apart.

I think there are many other harms related to Internet and society as a whole, such as energy consumption and harms related to only-one-Earth.

[YIHAO] Indeed, there are almost infinite society issues that we can blame the harm from Internet. Here I prefer referring the harm more for things like designing an surveillance-friendly protocols, or things that may lead to the tragedy of Aaron Swartz.

There are things in it to which I could agree, but we could also compare to deployment.

Whenever 'encryption' is suggested as a tool, one should admit also that tool is possible in some places and legally impossible in some other places.  Mention that some places encryption tools are cleartext when looked at from other places.

Or to mention that the use of encryption does help the privacy of the end user but does also protect the trouble makers.  In these cases, some alleviation mechanisms include to make face a trouble maker to a privacy lover and see what comes out of it.
[YIHAO] Ture. But I guess the publishment of RFC7258 is just an answer to this dilemma.

> Internet, or shall we have a draft to do so? Just like RFC 8890?

I think there could indeed be an abstract definition of what is harmful to the Internet, but also about how the Internet could represent a certain harm, or not.

I think we should escape from a mindset that says that Internet can only
be good - and is the only  way forward.   Wherever the Internet moves us
away from our humanity abilities then that is harmful.  Wherever Internet expands our humanity abilities then that should be prolonged.

[YIHAO] absolutely agree! I feel RFC8890 is just a first try that touch the "harmful or not" discussion. IAB would be the best place to publish this kind of declaration, and we should first bring this topic to them for discussion. 

I did not know RFC8890 "The Internet is for End Users" and it seems interesting.  I will read it!

Alex

>> network protocols (IP, Bluetooth, ZigBee, Thread, Airdrop, Airplay, 
>> or any others), want an easy and straightforward to contact a 
>> people/device without any knowledge of network issues like IP 
>> address, and (3) Multi-homing: seamlessly multi-homing capability for 
>> the host. (4) Mobility: seamless and lossless communications for 
>> moving nodes (vehicle, satellites). (5) Security and Privacy: 
>> security and privacy, omnidirectionally, incessantly
>> (7) Kernel: make sure the Internet does no harm. (8) Others: no worry 
>> about MTU
> 
> something to reduce the size of the Internet (IP) stack in the kernel, 
> reduce its energy consumption, reduce the 'software bloat' of it.  Is 
> this the kernel you refer to?
> 
> make sure aspects such as datacenter energy consumption (there were no 
> such big datacenters prior to Internet; it can safely be assumed that 
> these datacenters are created and needed by the Internet), human 
> are fed back into the design of the new Internet and make sure it does 
> no harm.
> 
> It is a little bit like in Health and medicine: first, make sure do no 
> harm.  When a surgeon opens someone's body, the first thing s/he must 
> make sure is to do no harm (do not break some artery or vein, and just 
> have a look to see what's wrong in the ill), even though the cut in 
> the skin is already a little bit of harm.
> 
> Alex
> 
>

---

From: Alexandre Petrescu <[email-masked]>
Date: Tue, 21 Dec 2021 11:45:58 +0100

Le 21/12/2021 à 11:09, Jiayihao a écrit :
> Aaron Swartz

I read the sad tragedy of the person.  I did not know him.

Similarly, I knew Mr. Hauben indirectly, author of 'Netizens' book.  It 
seems to be a tragedy of same.

I think at IETF I might have seen similar aspects of certain persons at
IETF, in the years 2000s and 2010s.

There is something in there that represents a tragedy and that is
related to the Internet.

There are other things that represent unfortunate and really unfair
events about the Internet.

For example, in some of the initial phases of the Internet start, Kevin
Mitnick got jailed for having logged into a system that was not his and
maybe he stole some document.  A few years later the Internet grew a
lot, and such penetrations are common and nobody gets jailed about it.
This is unfair.  There should be something to be learned from that and
the Internet.

It could be said, in a way, that the sparks entertained at the frontiers 
of Internet design and deployment, these sparks and lights that attract
many people, can actually burn, and thus make harm.

Alex